# Get List of all Locker Banks

This API operation returns a list of all available locker banks where packages can be deposited for recipient pickup.

Endpoint: GET /api/v1/lockerBanks
Version: 1.0.0
Security: bearerAuth

## Query parameters:

  - `skip` (integer)
    The number of records to skip in the returned list. Default is 0.

  - `limit` (integer)
    The maximum number of locker banks to return in the response. Default is 100.

  - `locationId` (string)
    Filters the locker banks by the specific location ID where the lockers are placed.

  - `lockerBankId` (string)
    Filters the locker banks by the specific locker bank ID.

## Header parameters:

  - `X-PB-Developer-Partner-ID` (string)
    The Developer Partner ID is assigned by PB to uniquely identify a Developer's strategic business partners. If the developer is the sole business partner, this field isn't required.

## Response 200 fields (application/json):

  - `lockerBankId` (string)
    The identifier for the locker bank used by the APIs.
    Example: AOne

  - `bankName` (string)
    The display name of the locker bank for user reference.
    Example: Locker One

  - `locationId` (string)
    The identifier of the location where the locker bank is placed
    Example: loc_auto_sa5cxxx

  - `lastHeartbeatTime` (string)
    The timestamp of the most recent heartbeat signal received from the locker bank. This value helps determine if the locker bank is online and communicating with the system.
    Example: 2025-11-27T11:23:26Z

  - `rearLoadingEnabled` (boolean)
    Indicates whether the locker bank supports rear-side loading, allowing mailroom operators to place parcels into the lockers from the back of the unit.
    Example: true

  - `deliveryEnabled` (boolean)
    Indicates whether the locker bank is currently active and available for delivery operations. If set to false, the locker bank is out of service.
    Example: true

  - `assetEnabled` (boolean)
    Indicates whether the locker bank supports return functionality.
    Example: true

## Response 400 fields (application/json):

  - `errorCode` (string)
    Error code(s) that appear due to HTTP  400- Invalid or Bad Request, e.g., validation-error.
    Example: validation_error

  - `errorDescription` (string)
    HTTP 400 Bad Request response status code indicates that the server cannot process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).
    Example: userId - value missing.

  - `additionalCode` (string)
    A unique identifier for the error, for example ILP10010, or ILP10030.
    Example: already_exists

  - `additionalInfo` (string)
    This is an additional information about the error. This error 'Invalid Request' might appear due to invalid data, or if the information is missing.
    Example: 674eb7b67b34d787400fa453

  - `additionalParameters` (array)

## Response 401 fields (application/json):

  - `message` (string, required)
    This is HTTP 401 Unauthorized response status code, which indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
    Example: The request could not be completed.

## Response 500 fields (application/json):

  - `message` (string, required)
    This is HTTP 500 Internal Server Error response status code, which indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.
    Example: The request could not be completed.

